summaryrefslogtreecommitdiff
path: root/Shell
diff options
context:
space:
mode:
Diffstat (limited to 'Shell')
-rw-r--r--Shell/Tests/valid.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/Shell/Tests/valid.sh b/Shell/Tests/valid.sh
index 27f02bc128..6453d5f21b 100644
--- a/Shell/Tests/valid.sh
+++ b/Shell/Tests/valid.sh
@@ -85,7 +85,7 @@ rm -fr sh-test
# Setopt
setopt --inline_exec_keep_empty_segments
-test "$(echo "a\n\nb")" = "a b" || fail inline_exec_keep_empty_segments has no effect
+test "$(echo -n "a\n\nb")" = "a b" || fail inline_exec_keep_empty_segments has no effect
setopt --no_inline_exec_keep_empty_segments
-test "$(echo "a\n\nb")" = "a b" || fail cannot unset inline_exec_keep_empty_segments
+test "$(echo -n "a\n\nb")" = "a b" || fail cannot unset inline_exec_keep_empty_segments